commit:     1468552f35003324682d5e1d80062363bf1bb78a
Author:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 30 21:58:57 2023 +0000
Commit:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Sat Dec 30 22:06:54 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1468552f

dev-libs/pcl: header files fix for musl

additionally, update EAPI 7 -> 8

Closes: https://bugs.gentoo.org/895060
Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>

 dev-libs/pcl/files/pcl-1.12-musl.patch | 20 ++++++++++++++++++++
 dev-libs/pcl/pcl-1.12-r2.ebuild        | 25 +++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-libs/pcl/files/pcl-1.12-musl.patch 
b/dev-libs/pcl/files/pcl-1.12-musl.patch
new file mode 100644
index 000000000000..e80cf03ce780
--- /dev/null
+++ b/dev-libs/pcl/files/pcl-1.12-musl.patch
@@ -0,0 +1,20 @@
+Include missing header files
+
+Bug: https://bugs.gentoo.org/895060
+
+diff --git a/pcl/pcl.c b/pcl/pcl.c
+index 58d8605..313370e 100644
+--- a/pcl/pcl.c
++++ b/pcl/pcl.c
+@@ -22,6 +22,8 @@
+ 
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <string.h>
++#include <unistd.h>
+ #include "pcl_config.h"
+ #include "pcl.h"
+ #include "pcl_private.h"
+-- 
+2.41.0
+

diff --git a/dev-libs/pcl/pcl-1.12-r2.ebuild b/dev-libs/pcl/pcl-1.12-r2.ebuild
new file mode 100644
index 000000000000..7527764b13f2
--- /dev/null
+++ b/dev-libs/pcl/pcl-1.12-r2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Portable Coroutine Library"
+HOMEPAGE="http://xmailserver.org/libpcl.html";
+SRC_URI="http://xmailserver.org/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0/1"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+PATCHES=(
+       "${FILESDIR}/${P}-musl.patch"
+)
+
+src_configure() {
+       econf --disable-static
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to